#ifndef MC8051FUN_H
#define MC8051FUN_H

#include <stdint.h>
#include <8052.h>





void uart_init(long fosc, long baud);
void uart_send_chr(char tx_data);
void uart_send_str(const char *str);


int8_t rotary_encoder_stat(uint8_t b);

extern uint8_t sevenseg_dec[10];
extern uint8_t sevenseg_dec_inv[10];


#define timer_init_val(freq) ((65536)-FOSC/12L/freq)

uint16_t int_to_bcd(uint16_t i);

#endif
